diff -r -C 2 -P ../AmiPhone_1.92/smakefile ./smakefile
*** ../AmiPhone_1.92/smakefile	Thu Jan  1 01:00:00 1970
--- ./smakefile	Sat Feb 28 12:25:20 1998
***************
*** 0 ****
--- 1,200 ----
+ 
+ 
+ ##
+ ## Macros
+ ##
+ ###############################################################################
+ 
+ CC		= SC:C/SC IDIR=NetInclude: DEBUG=FULL NOSTACKCHECK NOICONS\
+ 		  STRUCTUREEQUIVALENCE MULTIPLECHARACTERCONSTANTS\
+ 		  OPTIMIZE OPTTIME OPTSCHED #GST=gst
+ 
+ LD		= SC:C/SLink NOICONS LIB LIB:sc.lib LIB:scm.lib LIB:debug.lib LIB:amiga.lib
+ 
+ ASM		= Programmering:PhxAss/Bin/PhxAss I=include: SD SC
+ 
+ ASM_OBJS 	= inthandler.o compress/ADPCM2_Crunch.o compress/ADPCM3_Crunch.o\
+ 		  compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o
+ 
+ C_OBJS		= ciatimer.o AmiPhone.o phoneudp.o stringrequest.o microphone.o\
+ 		  messages.o asl.o codec_c.o browse.o TCPQueue.o phonerexx.o\
+ 		  phonerexx_rxif.o phonerexx_rxcl.o
+ 
+ 
+ ##
+ ## Default rules
+ ##
+ ###############################################################################
+ 
+ .c.o:
+ 	$(CC) $< OBJNAME $@
+ 
+ .a.o:
+ 	$(ASM) $< TO $@
+ 
+ 
+ ##
+ ## Targets
+ ##
+ ###############################################################################
+ 
+ all:		AmiPhone AmiPhoned AmiPhoned_debug PhoneUtil
+ 
+ AmiPhone:	$(ASM_OBJS) $(C_OBJS)
+ 	$(LD) TO $@ FROM LIB:c.o $(ASM_OBJS) $(C_OBJS) 
+ 
+ AmiPhoned:	AmiPhoned.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o codec_s.o stringrequest.o TCPQueue.o
+ 	$(LD) TO $@ FROM LIB:c.o AmiPhoned.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o codec_s.o stringrequest.o TCPQueue.o
+ 
+ AmiPhoned_debug: AmiPhoned_debug.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o codec_s.o stringrequest.o TCPQueue.o
+ 	$(LD) TO $@ FROM LIB:c.o AmiPhoned_debug.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o codec_s.o stringrequest.o TCPQueue.o
+ 
+ PhoneUtil:	PhoneUtil.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o compress/ADPCM2_Crunch.o compress/ADPCM3_Crunch.o codec_v.o
+ 	$(LD) TO $@ FROM LIB:c.o PhoneUtil.o compress/ADPCM2_Decrunch.o compress/ADPCM3_Decrunch.o compress/ADPCM2_Crunch.o compress/ADPCM3_Crunch.o codec_v.o
+ 
+ 
+ ##
+ ## Rules
+ ##
+ ###############################################################################
+ 
+ 
+ codec_c.o: codec.c AmiPhoned.h AmiPhone.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 	$(CC) FROM $< OBJNAME $@ DEFINE AMIPHONE
+ 
+ codec_v.o: codec.c AmiPhoned.h AmiPhone.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 	$(CC) FROM $< OBJNAME $@ DEFINE CONV_UTIL
+ 
+ codec_s.o: codec.c AmiPhoned.h AmiPhone.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 
+ microphone.c:	microphone.brush
+ 	citas microphone.brush -c -m -h -o -s 
+ AmiPhoned_debug.o: amiphoned.c AmiPhoned.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 	$(CC) FROM $< OBJNAME $@ DEFINE DEBUG_FLAG
+ 
+ inthandler.o:			inthandler.a
+ compress/ADPCM2_Crunch.o:	compress/ADPCM2_Crunch.a
+ compress/ADPCM3_Crunch.o:	compress/ADPCM3_Crunch.a
+ compress/ADPCM2_Decrunch.o:	compress/ADPCM2_Decrunch.a
+ compress/ADPCM3_Decrunch.o:	compress/ADPCM3_Decrunch.a
+ 
+ #$(C_OBJS):	gst
+ 
+ ##
+ ## GST
+ ##
+ ###############################################################################
+ 
+ 
+ gst:
+ 	# Don't cache my own include files
+ 	grep -h "\#include <" *.c *.h > gst.c
+ 	$(CC) NOOBJNAME MGST=gst gst.c
+ 	-delete gst.c QUIET
+ 
+ ##
+ ## Other targets
+ ##
+ ###############################################################################
+ 
+ clean:       
+ 	-delete \#?.o QUIET
+ 	-delete compress/\#?.o QUIET
+ 	-delete \#?.bak QUIET
+ 	-delete AmiPhone AmiPhoned AmiPhoned_debug PhoneUtil QUIET
+ 	-delete gst QUIET
+ 	-avail flush   # Flush gst from memory
+ 
+ diff:
+ 	-delete Source.patch
+ 	-diff -r -C 2 -P ../AmiPhone_1.92 . > T:Source.patch
+ 	copy T:Source.patch ""
+ 	-delete T:Source.patch
+ 
+ depend:
+ 	makedepend -f smakefile amiphone.c amiphoned.c asl.c browse.c ciatimer.c\
+ 	codec.c listen.c messages.c microphone.c phonerexx.c phonerexx_rxcl.c\
+ 	phonerexx_rxif.c phoneudp.c PhoneUtil.c Sampler.c StringRequest.c TCPQueue.c
+ 
+ archive:
+ 	smake clean
+ 	-delete ram:AmiPhoneSource.lha ram:src all
+ 	makedir ram:src
+ 	copy #? ram:src all
+ 	lha -r a ram:AmiPhoneSource.lha ram:src
+ 	@echo "archive made in ram:"
+ 	 
+ dist:	AmiPhone AmiPhoned AmiPhoned_debug PhoneUtil
+ 	-delete ram:AmiPhone all
+ 	-delete ram:AmiPhone.info
+ 	-delete ram:AmiPhone.lha
+ 	makedir ram:AmiPhone
+ 	$(LD) ND NOICONS FROM AmiPhone TO ram:AmiPhone/AmiPhone
+ 	copy AmiPhoneIcon.info ram:AmiPhone/AmiPhone.info
+ 	$(LD) ND NOICONS FROM AmiPhoned TO ram:AmiPhone/AmiPhoned
+ 	$(LD) ND NOICONS FROM AmiPhoned_debug TO ram:AmiPhone/AmiPhoned_debug
+ 	copy Install_AmiPhone ram:AmiPhone
+ 	copy Install_AmiPhone.info ram:AmiPhone
+ 	copy AmiPhone.guide ram:AmiPhone
+ 	copy AmiPhone.guide.icon.info ram:AmiPhone/AmiPhone.guide.info
+ 	copy AmiPhoneDrawer.info ram:AmiPhone.info
+ 	copy README ram:AmiPhone
+ 	copy README ram:AmiPhone.readme
+ 	copy README.icon.info ram:AmiPhone/README.info
+ 	$(LD) ND NOICONS FROM PhoneUtil TO ram:AmiPhone/PhoneUtil
+ 	copy EditTextFile.rexx ram:AmiPhone
+ 	copy Source.patch ram:AmiPhone
+ 	lha -r a ram:AmiPhone.lha ram:AmiPhone ram:AmiPhone.info
+ 	@echo "distribution made in ram:"
+ 
+ 
+ 
+ #DEPENDENCIES
+ 
+ amiphone.o: amiphone.c phonerexx.h menuconstants.h ciatimer.h\
+ 	 phoneudp.h AmiPhonePacket.h messages.h AmiPhoneMsg.h browse.h\
+ 	 stringrequest.h TCPQueue.h
+ 
+ amiphoned.o: amiphoned.c AmiPhoned.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 
+ asl.o: asl.c codec.h asl.h
+ 
+ browse.o: browse.c AmiPhone.h codec.h messages.h browse.h
+ 
+ ciatimer.o: ciatimer.c AmiPhoneMsg.h AmiPhone.h phoneudp.h\
+ 	 AmiPhonePacket.h ciatimer.h codec.h
+ 
+ codec.o: codec.c AmiPhoned.h AmiPhone.h AmiPhoneMsg.h AmiPhonePacket.h\
+ 	 codec.h TCPQueue.h
+ 
+ listen.o: listen.c
+ 
+ messages.o: messages.c AmiPhone.h AmiPhonePacket.h asl.h codec.h\
+ 	 browse.h
+ 
+ microphone.o: microphone.c
+ 
+ phonerexx.o: phonerexx.c phonerexx.h
+ 
+ phonerexx_rxcl.o: phonerexx_rxcl.c phonerexx.h
+ 
+ phonerexx_rxif.o: phonerexx_rxif.c phonerexx.h phonerexx_aux.h\
+ 	 menuconstants.h AmiPhone.h phoneudp.h AmiPhonePacket.h ciatimer.h\
+ 	 codec.h AmiPhoneMsg.h
+ 
+ phoneudp.o: phoneudp.c AmiPhone.h AmiPhoneMsg.h stringrequest.h codec.h\
+ 	 TCPQueue.h
+ 
+ PhoneUtil.o: PhoneUtil.c codec.h AmiPhonePacket.h
+ 
+ Sampler.o: Sampler.c
+ 
+ StringRequest.o: StringRequest.c codec.h AmiPhone.h stringrequest.h
+ 
+ TCPQueue.o: TCPQueue.c AmiPhone.h TCPQueue.h
+ 
